import 'package:wowit/common.dart';
import 'package:wowit/sqlService.dart';

class Message {
//get message by key
  static String getMessage(String key, {int languageId = -1}) {
    if (languageId == -1) {
      languageId = Common.languageId;
    }
    Map<String, String> mapMessage = _getMapMessage(languageId);

    if (mapMessage.containsKey(key)) return mapMessage[key];
    return key;
  }

  static Map<String, String> _getMapMessage(int languageId) {
    switch (languageId) {
      case 1:
        return Common.mapMessageData_VN;
      case 2:
        return Common.mapMessageData_EN;
      case 3:
        return Common.mapMessageData_JP;
      case 4:
        return Common.mapMessageData_CN;
      case 5:
        return Common.mapMessageData_KR;
      default:
        return {};
    }
  }

  static void setLanguage(int languageCode) {
    Common.languageId = languageCode;
  }

  static syncMessages() async {
    for (int i = 1; i <= 5; i++) {
      await _syncMessages(i);
    }
  }

  static _syncMessages(int languageId) async {
    var data = _getMapMessage(languageId);
    data.forEach((key, value) async {
      Map<String, Object> params = {};
      params['@languageID'] = languageId;
      params['@messageId'] = key;
      params['@message'] = value;
      var rs = await SQLService.execute('sp_SyncMessage', params: params);
      print(rs);
    });
  }
}
